[RV280] Xorg radeon DRI Disabled as AGP not available

Bug #297750 reported by Terry on 2008-11-13
14
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Won't Fix
Medium
linux (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned
module-init-tools (Ubuntu)
Medium
Andy Whitcroft
Intrepid
Medium
Andy Whitcroft
xserver-xorg-video-ati (Ubuntu)
Medium
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-radeon

DRI stopped working after upgrade to Intrepid from Hardy. Xorg.0.log states that AGP is not available and DRI has been disabled as a result. This was working well in Hardy.

(II) [drm] DRM open master succeeded.
(II) RADEON(0): [drm] Using the DRM lock SAREA also for drawables.
(II) RADEON(0): [drm] framebuffer handle = 0xd0000000
(II) RADEON(0): [drm] added 1 reserved context for kernel
(II) RADEON(0): X context handle = 0x1
(II) RADEON(0): [drm] installed DRM signal handler
(WW) RADEON(0): [agp] AGP not available
(EE) RADEON(0): [agp] AGP failed to initialize. Disabling the DRI.
(II) RADEON(0): [agp] You may want to make sure the agpgart kernel module
is loaded before the radeon kernel module.

[pci]
(--) PCI:*(0@1:5:0) ATI Technologies Inc RV280 [Radeon 9200] rev 1, Mem @ 0xd0000000/0, 0xe5000000/0, I/O @ 0x0000c000/0, BIOS @ 0x????????/131072
01:05.0 0300: 1002:5961 (rev 01)
 Subsystem: 148c:2063

Terry (terry-kryogenic) wrote :
Terry (terry-kryogenic) wrote :
Bryce Harrington (bryce) on 2008-11-14
Changed in xserver-xorg-video-ati:
status: New → Confirmed

Created an attachment (id=20315)
Xorg.0.log

Thanks for the RV280 fix earlier Alex, here's another on this hardware:
https://bugs.edge.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/297750

[Original Report]
DRI stopped working after upgrade to Intrepid from Hardy. Xorg.0.log states that AGP is not available and DRI has been disabled as a result. This was working well in Hardy.

(II) [drm] DRM open master succeeded.
(II) RADEON(0): [drm] Using the DRM lock SAREA also for drawables.
(II) RADEON(0): [drm] framebuffer handle = 0xd0000000
(II) RADEON(0): [drm] added 1 reserved context for kernel
(II) RADEON(0): X context handle = 0x1
(II) RADEON(0): [drm] installed DRM signal handler
(WW) RADEON(0): [agp] AGP not available
(EE) RADEON(0): [agp] AGP failed to initialize. Disabling the DRI.
(II) RADEON(0): [agp] You may want to make sure the agpgart kernel module
is loaded before the radeon kernel module.

[pci]
(--) PCI:*(0@1:5:0) ATI Technologies Inc RV280 [Radeon 9200] rev 1, Mem @ 0xd0000000/0, 0xe5000000/0, I/O @ 0x0000c000/0, BIOS @ 0x????????/131072
01:05.0 0300: 1002:5961 (rev 01)
 Subsystem: 148c:2063

going to need dmesg, sounds more like a kernel bug than a radeon specific issue.

you might want to get the Canonical kernel guys to take a look.

Will do, thanks

Bryce Harrington (bryce) on 2008-11-15
description: updated
Bryce Harrington (bryce) on 2008-11-15
description: updated
Changed in xserver-xorg-driver-ati:
status: Unknown → Confirmed
Bryce Harrington (bryce) wrote :

Hi Terry,

I've forwarded your bug upstream at https://bugs.freedesktop.org/show_bug.cgi?id=18540 - can you please subscribe yourself to that bug in case upstream needs more information or wishes you to test something?

Changed in xserver-xorg-video-ati:
importance: Undecided → Medium
status: Confirmed → Triaged

Created an attachment (id=20327)
dmesg

Here is my dmesg output. I've attached the same file at launchpad too.

Bryce Harrington (bryce) wrote :

Terry,

Upstream suggests this may be a kernel issue. Can you please attach the output from 'dmesg' after reproducing the problem? It may have some useful errors.

Meanwhile, I'm adding a kernel task so the ubuntu kernel folks can have a look. They may need more info if it's a kernel issue.

Terry (terry-kryogenic) wrote :

Will do.

so EDAC fights with AGP, AGP loses.

Definitely Canonical kernel team's problem and nothing whatsoever to do with -ati.

Bryce Harrington (bryce) wrote :

> so EDAC fights with AGP, AGP loses.
> Definitely Canonical kernel team's problem and nothing whatsoever to do with -ati.

Upstream confirms this is a kernel issue rather than an -ati bug. I'll close the -ati task and leave it to the kernel team to investigate.

Changed in xserver-xorg-video-ati:
status: Triaged → Invalid
Changed in xserver-xorg-driver-ati:
status: Confirmed → Invalid
Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
Andy Whitcroft (apw) wrote :

EDAC was enabled in Hardy as it is Intrepid, so its odd that EDAC has suddenly broken AGP in this way.

@Bryce Harrington -- It not obvious why upstream thinks EDAC is to blame here, there is nothing in the dmesg.log that I can see which fingers it specificially. Yes it does appear to be kernel related as the aperture has not been intialised.

@Terry -- do you have a boot log from the Hardy (2.6.24) kernel? If you upgraded they should still be installed and should boot with Intrepid userspace. If so could you get a dmesg.log from there too for us.

Terry (terry-kryogenic) wrote :

Of course.

Andy Whitcroft (apw) on 2008-12-01
Changed in linux:
assignee: ubuntu-kernel-team → apw
status: Triaged → In Progress
Andy Whitcroft (apw) wrote :

Ahh ok, in fact _most_ of EDAC was enabled in Hardy, more is enabled in Intrepid. Particularly the AMD76X device is not enabled in Hardy:

    debian/config/i386/config.386:# CONFIG_EDAC_AMD76X is not set

whereas the module is built in Intrepid:

    debian/config/i386/config:CONFIG_EDAC_AMD76X=m

@Terry -- could you try blacklisting the amd76x_edac module for me; adding 'blacklist amd76x' to /etc/modprobe.d/blacklis. Also can you supply the lsmod output for the broken boot.

Terry (terry-kryogenic) wrote :
Download full text (7.9 KiB)

lsmod from broken boot as follows. Trying the blacklist entry now and will report back.

$ lsmod
Module Size Used by
aes_i586 15744 1
aes_generic 35880 1 aes_i586
af_packet 25728 4
radeon 147616 0
drm 86056 1 radeon
binfmt_misc 16904 1
sco 18308 2
bridge 56980 0
stp 10628 1 bridge
bnep 20480 2
rfcomm 44432 0
l2cap 30464 6 bnep,rfcomm
bluetooth 61924 6 sco,bnep,rfcomm,l2cap
ppdev 15620 0
ipv6 263972 12
cpufreq_ondemand 14988 0
cpufreq_userspace 11396 0
cpufreq_conservative 14600 0
cpufreq_powersave 9856 0
cpufreq_stats 13188 0
freq_table 12672 2 cpufreq_ondemand,cpufreq_stats
pci_slot 12552 0
video 25104 0
output 11008 1 video
wmi 14504 0
sbs 19464 0
sbshc 13440 1 sbs
container 11520 0
battery 18436 0
nfs 269544 1
lockd 71976 1 nfs
nfs_acl 11264 1 nfs
sunrpc 196960 11 nfs,lockd,nfs_acl
iptable_filter 10752 0
ip_tables 19600 1 iptable_filter
x_tables 22916 1 ip_tables
dm_crypt 21124 0
dm_mod 63432 1 dm_crypt
ac 12292 0
lp 17156 0
snd_via82xx 32536 1
gameport 19468 1 snd_via82xx
snd_ac97_codec 111652 1 snd_via82xx
ac97_bus 9856 1 snd_ac97_codec
snd_pcm_oss 46848 0
snd_mixer_oss 22784 1 snd_pcm_oss
snd_pcm 83204 3 snd_via82xx,snd_ac97_codec,snd_pcm_oss
snd_page_alloc 16136 2 snd_via82xx,snd_pcm
snd_mpu401_uart 15360 1 snd_via82xx
evdev 17696 7
snd_seq_dummy 10884 0
arc4 9984 2
ecb 10880 2
crypt...

Read more...

Terry (terry-kryogenic) wrote :

Seems to detect AGP fine after adding amd76x_edac to blacklist. glxgears worked but system locked up after about 10 seconds while it was running (probably another issue, this happened in hardy too).

dmesg attached anyway

On Mon, Dec 01, 2008 at 03:33:41PM -0000, Terry wrote:
> Seems to detect AGP fine after adding amd76x_edac to blacklist. glxgears
> worked but system locked up after about 10 seconds while it was running
> (probably another issue, this happened in hardy too).

Well that is at least encouraging. Now I need to figure out if this is
a general problem that all AMD users are seeing or something specific to
you.

Terry (terry-kryogenic) wrote :

AMD users with an AMD northbridge at least. =)

Tim Gardner (timg-tpi) on 2008-12-03
Changed in xserver-xorg-video-ati:
status: New → Invalid
Changed in linux:
assignee: nobody → apw
importance: Undecided → Medium
milestone: none → intrepid-updates
status: New → In Progress
assignee: apw → nobody
importance: Medium → Undecided
status: In Progress → Invalid
Andy Whitcroft (apw) wrote :

Ok, as this only affects a small subset of users and there are possibly legitimate users of this module, and as blacklisting the module is sufficient to prevent the bug, we are proposing to add this module to the default blacklists. Marking this bug as affecting module-init-tools.

Changed in module-init-tools:
assignee: nobody → apw
importance: Undecided → Medium
status: New → In Progress
assignee: nobody → apw
importance: Undecided → Medium
status: New → In Progress
Andy Whitcroft (apw) wrote :

Attaching the proposed debdiff for the module-init-tools package.

SRU Justification:

Impact: AGP aperture disabled and thus DRI disabled for all graphics cards on AMD systems with the amd76x northbridge.

Fix Description: blacklist the amd76x_edac module

Patch: [attached to this comment]

Risks: this module was not even built on Hardy so this is a regression against Hardy. By using blacklisting the module will still be built and available should any user require it.

TEST CASE: see bug report

Andy Whitcroft (apw) wrote :

Bah, somehow I've built that debdiff wrong somehow. Attached is the correct diff.

Changed in linux:
status: Invalid → In Progress
Tim Gardner (timg-tpi) on 2008-12-04
Changed in module-init-tools:
milestone: none → intrepid-updates
status: In Progress → Fix Committed
Changed in linux:
assignee: apw → nobody
importance: Medium → Undecided
milestone: intrepid-updates → none
status: In Progress → Invalid
status: In Progress → Invalid
Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package module-init-tools - 3.3-pre11-4ubuntu17

---------------
module-init-tools (3.3-pre11-4ubuntu17) intrepid-proposed; urgency=low

  [ Andy Whitcroft ]

  * Add a blacklist entry for the amd76x_edac which prevents the
    AGP aperture being initialised.
    LP: #297750

 -- Tim Gardner <email address hidden> Thu, 04 Dec 2008 14:55:23 -0700

Changed in module-init-tools:
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Copied intrepid-proposed to jaunty.

Changed in module-init-tools:
status: In Progress → Fix Released
status: Fix Released → Fix Committed
Steve Beattie (sbeattie) wrote :

I've verified that the module-init-tools package in intrepid,3.3-pre11-4ubuntu16, doesn't blacklist the amd76x_edac driver; however, I am unable to verify that the version in intrepid-proposed, 3.3-pre11-4ubuntu17, does so either:

  $ dpkg -S /etc/modprobe.d/blacklist
  module-init-tools: /etc/modprobe.d/blacklist

  $ apt-cache policy module-init-tools
  module-init-tools:
    Installed: 3.3-pre11-4ubuntu17
    Candidate: 3.3-pre11-4ubuntu17
    Version table:
   *** 3.3-pre11-4ubuntu17 0
          500 http://127.0.0.1 intrepid-proposed/main Packages
          100 /var/lib/dpkg/status
       3.3-pre11-4ubuntu16 0
          500 http://127.0.0.1 intrepid/main Packages

  $ grep -ri amd76 /etc/modprobe.d/
  $ tail -5 /etc/modprobe.d/blacklist
  blacklist asus_acpi

  # low-quality, just noise when being used for sound playback, causes
  # hangs at desktop session start (Ubuntu: #246969)
  blacklist snd_pcsp

  $ wc -l /etc/modprobe.d/blacklist
  45 /etc/modprobe.d/blacklist

Am I looking in the wrong location? Or did something go wrong with this update?

I did walk through installing the kernel in intrepid-proposed and rebooting with this version of module-init-tools installed, and everything worked successfully, so the package doesn't appear to introduce any new regressions.

Andy Whitcroft (apw) wrote :

On Thu, Dec 18, 2008 at 11:42:06PM -0000, Steve Beattie wrote:
> I've verified that the module-init-tools package in
> intrepid,3.3-pre11-4ubuntu16, doesn't blacklist the amd76x_edac driver;
> however, I am unable to verify that the version in intrepid-proposed,
[...]
> Am I looking in the wrong location? Or did something go wrong with this
> update?

There was a bug in the upload, a benign bug, which prevented install of
the new file. An additional patch to the package has been uploaded now
to both install this file and prevent new files from being missed in the
future.

Martin Pitt (pitti) wrote :

Accepted updated module-init-tools into intrepid-proposed, please test again.

Martin Pitt (pitti) wrote :

Ah, belay that. Andy:

FAILED: module-init-tools (The source module-init-tools - 3.3-pre11-4ubuntu18 is already accepted in ubuntu/jaunty and you cannot upload the same version within the same distribution. You have to modify the source version and re-upload.)

Please use -4ubuntu17.1 or something like that, and upload again.

Tim Gardner (timg-tpi) wrote :

Uploaded module-init-tools_3.3-pre11-4ubuntu17.1 to intrepid-proposed

Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Any testers?

Terry (terry-kryogenic) wrote :

I can test later on today, I'll report back.

Martin Pitt (pitti) wrote :

Any news on testing?

Martin Pitt (pitti) wrote :

This still needs testing, and is blocking a followup SRU for bug 208137.

Martin Pitt (pitti) wrote :

Nobody responded, this has sat in -proposed for 100 days, and it blocks other SRUs (bug 208137), thus I removed the current version from -proposed.

Changed in module-init-tools (Ubuntu Intrepid):
status: Fix Committed → Confirmed
tags: removed: regression-release verification-needed
zenkaon (zenkaon) wrote :

Hello guys, I'm a bit late joining this forum/thread - discovered it via google today (18/04/2009).

I have a Tyan Tiger s2466 MoBo and am running debian lenny. I have an ati 9200 agp graphics card. I have not been able to get compiz working due to agp issues.

Very happy with what you have suggested, blacklisting the module amd76x_edac has worked a treat. Compiz is flying!!!

Cheers for your efforts

Alex Valavanis (valavanisalex) wrote :

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the report. The bug has been fixed in newer releases of Ubuntu.

Changed in module-init-tools (Ubuntu Intrepid):
status: Confirmed → Invalid
Changed in xserver-xorg-driver-ati:
importance: Unknown → Medium
status: Invalid → Won't Fix
Changed in xserver-xorg-driver-ati:
importance: Medium → Unknown
Changed in xserver-xorg-driver-ati:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.